/* Google Fonts */
@import url("https://fonts.googleapis.com/css2?family=Material+Symbols+Sharp:opsz,wght,FILL,GRAD@20..48,100..700,0..1,-50..200");
@import url("https://fonts.googleapis.com/css2?family=Material+Icons+Sharp");
/* Google Fonts */
@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Material+Icons");
@import url("https://fonts.googleapis.com/css2?family=Material+Icons+Outlined");


/*
  Tarjetas Cuadradas tipo Card para Catálogo o Tienda

*/
    .oculto {
      display:none !important;
    }

    .card {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(220px, auto));
    gap: 1.5rem;
    align-items: center;
    justify-items: center;
    font-family: "Poppins", sans-serif;
    *background: rgb(192, 192, 192);
    width: 100%;
  }
    .card .box {
    position: relative;
    *margin-top: 2rem;
    max-width: 15.5em;
    height: 25em;
    display: flex;
    flex-direction: column;
    justify-content:space-between;
    border-radius: 0.5rem;
    padding: 10px;
    overflow: hidden;
    *min-height: 20em;
    *height: auto;
    *align-items: flex-start;
    box-shadow: 1px 1px 5px #696969;
    *border: 0.5px solid #b1b1b150;
        
  }

  .card .box-oculto{
    display: none;
  }

  .card .box-img {
    position: relative;
    width: 14em;
    height: 14em;
    background-image: url(../images/no-disponible.png);
    background-repeat: no-repeat;
    background-size: cover;
    object-fit: cover;
    object-position: center;
    overflow: hidden;
    z-index: 2;
    border-radius:  0.9rem 0 0.9rem 0 !important;
    *border: 1px solid #b1b1b150;

  }

  .card .textos {
    display: flex;
    flex-direction: column;
    z-index: 2;
  }

  .card .card-categ{
    padding: 0;
    margin: 0;
  }

  .card .textos .card-title {
    font-size: 1.2rem;
  }
  .card .textos .card-description {
    font-size: 0.8rem;
    font-weight: 400;
    margin: 4px 0 10px;
  }
  .card .card-precio {
    text-align: end;
    font-size: var(--p-font);
    font-weight: 500;
    color: white;
    z-index: 2;
    bottom: 20px;
    right: 20px;
  }
  .card .carrito {
    position: absolute !important;
    right: 0em;
    top: 0em;
    *font-size: 0.6em;
    background: var(--btn-bg);
    border-radius: 0 0.5rem 0 0.5rem;
    padding: 5px 8px;
  }
  .card .card-container .carrito:hover {
    background: var(--main-color);
  }

  .card .categoria-sobre-imagen{
    position: absolute;
    top: 12em;
    left: 1.5em;
    color: #ffffff;
    text-shadow: black 0.1em 0.1em 0.2em;
    padding: 0.3em ;
    border-radius: 0.5em;
    *border: 2px solid green;
    *background-color: #b1b1b150;
  }

  .card .categoria-sobre-imagen:hover{
    transform: scale(1.2);
    transition: 0.3s ease-in-out;
    text-shadow:
        white 0.1em 0.1em 0.2em, 
        black 0.3em 0.3em 0.1em;

    *text-shadow: 2px 0 0 #000, -2px 0 0 #000, 0 2px 0 #000, 0 -2px 0 #000, 1px 1px #000, -1px -1px 0 #000, 1px -1px 0 #000, -1px 1px 0 #000;
  
    *text-shadow: 1px  0px 0px black,
               0px  1px 0px black,
              -1px  0px 0px black,
               0px -1px 0px black;
  
  }


.card .material-symbols-sharp {
    font-variation-settings:
    'FILL' 0,
    'wght' 800,
    'GRAD' 0,
    'opsz' 48;

  }

  .card .share{
      display:none;
    position: absolute;
    border: none;
    border-radius: 50%;
    background: radial-gradient(ellipse at 50% 50%, var(--bg-color) 0%, rgba(255, 255, 255, 0) 100%);
    width: 1.5em;
    height: 1.5em;
    font-size: 1.2em;
    text-shadow:  white 0.1em 0.1em 0.2em;
    fill: var(--text-color);
    bottom: 0.5em;
    right: 0.5em;
}

.card .share:hover{
    transform: scale(1.5);
    transition: 0.5s ease-in-out;
}

.card .favorito{
    position: absolute;
    width: 1.5em;
    height: 1.5em;
    top: 0.5em;
    left: 0.5em;
    font-size: 1.3em !important;
    border: none;
    background: radial-gradient(ellipse at 50% 50%, var(--bg-color) 0%, rgba(255, 255, 255, 0) 100%);
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    text-shadow:  white 0.1em 0.1em 0.2em;
    color: black;

    cursor: pointer;
}

.card .favorito:hover{
    color: red;
        transform: scale(1.5);
    transition: 0.5s ease-in-out;
}


.card .solido{
  fill: red;
  stroke: none;
}

.card .hueco{
  fill: var(--text-color);
  *stroke: var(--text-color);
}

.card .cantidad{
  position: absolute;
  display: flex;
  width: 90px;
  *height: 32px;
  left: 10px;
  bottom: 0px;
  border-radius: 5px;
  overflow: hidden;
  transition: 0.5s ease-in-out;
  z-index: 9;
  *border: 1px solid red;
}

.card .cantidad button{
  background: var(--btn-bg);
  border: none;
  font-size: 20px;
  width: 30px;
  height: 32px;
  cursor: pointer;
}

.card .cantidad button:hover{
  background: var(--btn-bg-hover);
}

.card .cantidad .cant{
  background: var(--btn-bg);
  display: flex;
  justify-content: center;
  align-items: center;
  *border: 1px solid green;
  width: 30px;
  height: 32px;


}


.card .circulo{
  position: absolute;
  height: 110px;
  width: 150px;
  border-radius: 50%;
  right: -60px;
  bottom: -50px;
  z-index: 1;
  *opacity: 0.3;
  *background: black;
  background: var(--btn-bg);
  *background: linear-gradient(to right, #80c1f2 0%, #7c9ef2 100%);


}



/*
  Tarjetas Horizontales tipo Deck para List View

*/

  .deck {
    *padding: 15px;
    display: flex;
    flex-wrap: wrap;
    font-family: "Poppins", sans-serif;
  }
  .deck .box {

    display: flex;
    flex-direction: row;
    align-items: flex-start;
    width: 100%;
    height: 100px;
    padding: 0px 15px 5px 5px;
    *background: linear-gradient(to right, #80c1f2 0%, #7c9ef2 100%);
    background: linear-gradient(to right, var(--bg-color) 0%, var(--bg-color) 100%);
    border-radius: 20px;
    color: var(--text-color);
    position: relative;
    overflow: hidden;
    margin-bottom: 5px;
    *margin-right: 16px;
    flex: auto;
    transition: 0.5s ease-in-out;
    box-shadow: 1px 1px 5px #696969;
  }

  .deck .extender{
    height: 200px;
    transition: 0.5s ;
  }

  .deck .box-oculto{
    display: none;
  }

  .deck .box-img {
    height: 60px;
    width: 60px;
    min-width: 60px;
    border-radius: 50%;
    overflow: hidden;
    object-fit: cover;
    margin-top: 20px;
    margin-right: 10px;
    margin-left: 5px;
    z-index: 3;
  }

  .deck .container-slider .left, 
  .deck .container-slider .right, 
  .deck .container-slider .indicadores{
    display: none;
  }


  .deck .textos {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    top: 5px;
    width: 100%;
    height: 100px;
    z-index: 2;
    margin-right: 90px;
    *border: 1px solid green;
  }


  .deck .card-categ{
    font-size: 1rem;
    padding: 0;
    margin: 0;
  }

  .deck .textos .card-title {
    font-size: 1rem;
    padding: 0;
    margin: 0;
  }
  .deck .textos .card-description {
    font-size: 0.8rem;
    font-weight: 400;
    max-height: 40px;
    overflow: hidden;
    padding: 0;
    margin: 0;
  }

  .deck .extender .card-description{
    max-height: 200px;
    *border: 2px solid red;
  }

  .deck .extender .textos{
    height: 160px;
    *border: 2px solid red;
  }

  .deck .card-precio {
    position: absolute;
    font-size: var(--p-font);
    font-weight: 500;
    bottom: 10px;
    right: 30px;
    z-index: 2;
    transition: 0.5s ease-in-out;
    *border: 1px solid green;
  }

  .deck .extender .card-precio {
    bottom: 20px;
    right: 15px;
  }

  .deck .card-precio:hover {
    transform: scale(1.5);
    transition: 0.5s ease-in-out;
  }

  .deck .carrito {
    position: absolute !important;
    right: 0em;
    top: 0em;
    *font-size: 0.6em;
    background: var(--main-color);
    border-radius: 0 0.5rem 0 0.5rem;
    *padding: 5px 8px;
  }
  .deck .card-container .carrito:hover {
    background: var(--main-color);
  }


  .deck .share{
    position: absolute;
    width: 1.5em;
    height: 0;
    border: none;
    background:none;
    stroke: white;
    fill: white;
    cursor: pointer;
    bottom: 5px;
    right: 0;
    opacity: 0;
    transition: 0.5s ease;

  }

  .deck .extender .share{
    position: absolute;
    width: 1.5em;
    height: 1.5em;
    border: none;
    background:none;
    stroke: white;
    fill: white;
    cursor: pointer;
    bottom: 5px;
    right: 130px;
    opacity: 1;
    transition: 0.5s ease;
}

.deck .share:hover{
    transform: scale(1.5);
    transition: 0.5s ease-in-out;
}


.deck .favorito{
  position: absolute;
  width: 5px;
  height: 5px;
  bottom: 47px;
  right: 25px;
  stroke: white;
  *fill: white;
  cursor: pointer;
  transition: 0.5s ease-in-out;
}

.deck .extender .favorito{
    position: absolute;
    width: 1.5em;
    height: 1.5em;
    bottom: 5px;
    right: 180px;
    display: flex;
    align-items: center;
    justify-content: center;
    text-shadow:  white 0.1em 0.1em 0.2em;
    stroke: white;
    *fill: white;
    cursor: pointer;
    transition: 0.5s ease-in-out;
}

.deck .favorito:hover{
    transform: scale(1.5);
    transition: 0.5s ease-in-out;
}


.deck .solido{
  fill: red;
  stroke: none;
}

.deck .hueco{
  fill: white;
  *stroke: var(--text-color);
}



.deck .cantidad{
  position: absolute;
  display: flex;
  width: 90px;
  height: 0px;
  right: 10px;
  top: 60px;
  border-radius: 5px;
  overflow: hidden;
  transition: 0.5s ease;
  *border: 2px solid red;
}

.deck .extender .cantidad{
  position: absolute;
  display: flex;
  width: 90px;
  height: 32px;
  right: 10px;
  top: 60px;
  border-radius: 5px;
  overflow: hidden;
  transition: 0.5s ease-in-out;
  *border: 1px solid red;
}

.deck .cantidad button{
  background: var(--btn-bg);
  border: none;
  font-size: 20px;
  width: 30px;
  height: 32px;
  cursor: pointer;
}

.deck .cantidad button:hover{
  background: var(--btn-bg-hover);
}

.deck .cantidad .cant{
  background: var(--main-color);
  display: flex;
  justify-content: center;
  align-items: center;
  *border: 1px solid green;
  width: 30px;
  height: 32px;


}

.agregado{
  position: absolute;
  top: 50%;
  right: 50%;
  color: rgb(19, 192, 0);
  transform: scale(10);
  opacity: 0;
  z-index: -1;
}

.agregado.visible{
  position: absolute;
  opacity: 1;
  top: 2px;
  right: 79px;
  transform: scale(0.8);
  transition: 1s ease-out 2s;
  z-index: 10;
}

  .deck .circulo {
    position: absolute;
    height: 110px;
    width: 150px;
    border-radius: 50%;
    right: -60px;
    bottom: -50px;
    z-index: 1;
    opacity: 0.5;
    *background: linear-gradient(to right, #80c1f2 0%, #7c9ef2 100%);
    background: linear-gradient(to right, var(--hover-color) 0%, var(--main-color) 100%);
  }
  
  .nuevo {
    background: linear-gradient(to right, #f4b367 0%, #ee9e5c 100%);
  }
  
  .medio {
    background: linear-gradient(to right, #ed6895 0%, #e95772 100%);
  }
  
  .avanzado {
    background: linear-gradient(to right, #cc79f2 0%, #977ff5 100%);
  }
  
  .pro {
    background: linear-gradient(to right, #6ae7cf 0%, #68e1b8 100%);
  }
  
  .maestro {
    background: linear-gradient(to right, #f8546f 0%, #fc0644 100%);
  }
  

  .encabezado{
    position: fixed;
    top: -200px;
    left: 0;
    z-index: 20;
    width: 100%;
    padding: 18px 100px;
    background-color: var(--bg-color);
    transition: top 0.5s;
    box-shadow: 0 0.5rem 50rem rgba(0, 0, 0, 0.1);
  
    *border: 1px solid red;
  }
  
  
  .filtros {
    display: flex;
    flex-wrap: wrap;
    justify-content: end;
    align-items: center;
    align-content: center;
  
    *height: 100px;
    *border: 1px solid blue;
  
  
  }
  
  .filtros i {
    position: relative;
    margin-right: 15px;
    cursor:pointer; 
    top: .125em; 
    text-shadow: var(--text-color) 0.1em 0.1em 0.2em;
  
    *width: 50px; 
    *height: 50px; 
    *margin-left: 0px;
    *font-size: 30px;
    *color: black;
    
  }
  
  .filtros svg{
    filter: drop-shadow(var(--text-color) 0.1em 0.1em 0.1em);
  }
  
  .encabezado .solido{
    fill: red;
    stroke: none;
  }
  
  .encabezado .hueco{
    fill: var(--text-color);
    *stroke: var(--text-color);
  }
  
  
  .filtros select {
    margin-right: 15px;
    margin-left: 5px;
    margin-top: 5px;
    margin-bottom: 5px;
    height: 30px;
    background-color: transparent;
    border: 2px solid var(--text-color);
    border-radius: 10px;
    color:#696969;
  }
  
  .filtros .buscador{
    position: relative;
    margin-top: 5px;
    margin-bottom: 5px;
  }

  .filtros .buscador .icono-buscar{
    position: absolute;
    left: 10px;
    top: 5px;
  }

  .filtros .buscar {
    margin-right: 15px;
    margin-left: 5px;
    padding-left:25px ;
    padding-right: 25px;
    height: 30px;
    background-color: transparent;
    border: 2px solid var(--text-color);
    border-radius: 10px;
    color:#696969;
  }

  .filtros .buscador .icono-borrar{
    position: absolute;
    right: 7px;
    top: 5px;
  }



  .icon-button__badge {
    display: none;
    position: absolute;
    top: -9px;
    right: 6px;
    width: 16px;
    height: 16px;
    background: red;
    color: #ffffff;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
    font-size: 10px;
  }

  .iconos{
    margin-left: 7px;
    *margin-top: 5px;
  }

  .form2{
    width: 90%;
    *border: 1px solid black;
  }

  .form2 h6{
    margin-bottom: 30px;
  }

  .campo{
    display: flex;
    justify-content:flex-start;
    align-items: center;
    width: 90%;
    max-width: 500px;
    border-radius: 5px;
    margin: 5px auto;
    border: 1px solid  var(--main-color);
  }

  .campo input{
    width: 100%;
    height: 30px;
    margin: 5px;
    border: none;
    outline-color: transparent;
  }
  
  .campo i{
    margin: 10px;
    *background-color: red;
  }

  .form2 .btn_cliente_nuevo{
    position: absolute;
    bottom: 12px;
    right: 130px;
    z-index: 10;
    cursor: pointer;
  }

  .recuadro-cli{
    width: 100%;
    display: flex;
    justify-content:space-between;
    align-items:flex-start;
    *background-color: blue;
    padding-bottom: 20px;

  }

  .btn-edit-cli{
    border: none;
    cursor: pointer;
    font-size: large;


  }
















  @media (max-width: 921px) { 
    .encabezado {
      padding: 14px 41px;
    }
    .filtros{
      justify-content: start;
    }

    .iconos{
      margin-left: 7px;
    }

  }

  @media (max-width: 715px) { 
    .encabezado {
      padding: 10px 10px;
    }
    .filtros{
      justify-content: start;
    }
  }
